SSOプロバイダ設定仕様照会

指定したSSOプロバイダが定義している設定項目のメタデータを取得します。新しいSSO設定を作成または編集する際に、入力フォームを構成するための情報を提供します。

必要な権限

ADMIN以上のロールが必要です。

HTTPリクエスト

GET /api/sonar/sso-providers/:id/configs
cURL例
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/sso-providers/saml/configs
リクエストパラメータ
パスパラメータ
キー説明備考
id文字列SSOプロバイダ識別子

正常応答

{
  "configs": [
    {
      "name": "idp_url",
      "display_name": "IdP URL",
      "description": "SAML IdPエンドポイント",
      "type": "string",
      "subtype": null,
      "required": true,
      "protected": false,
      "default_value": null,
      "min": null,
      "max": null
    },
    {
      "name": "client_secret",
      "display_name": "クライアントシークレット",
      "description": "",
      "type": "string",
      "subtype": null,
      "required": true,
      "protected": true,
      "default_value": null,
      "min": null,
      "max": null
    }
  ]
}
  • configs (配列): 設定仕様一覧
    • name (文字列): 設定キー
    • display_name (文字列): ロケールが適用された画面表示名
    • description (文字列): ロケールが適用された画面表示説明
    • type (文字列): データ型
    • subtype (文字列): UIで認識される拡張コンポーネントタイプ
    • required (ブーリアン): 必須かどうか
    • protected (ブーリアン): 保護設定かどうか。password など照会時に露出してはならない項目には true を指定します
    • default_value (オブジェクト): デフォルト値。subtypeenum の場合は null
    • selectable (オブジェクト): subtypeenum の場合の選択可能な値一覧
    • min (数値): 最小値の制約
    • max (数値): 最大値の制約

エラー応答

idが指定されていない場合

HTTPステータスコード 400 応答

{
  "error_code": "null-argument",
  "error_msg": "id should be not null"
}
プロバイダが存在しない場合

HTTPステータスコード 500 応答

{
  "error_code": "illegal-argument",
  "error_msg": "provider not found: saml"
}
権限がない場合

HTTPステータスコード 500 応答

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}